package com.tanpu.community.api.beans.req.comment;

import com.tanpu.community.api.beans.req.page.Pageable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;


@ApiModel(value = "评论查询")
@Data
public class QueryCommentReq {


    @NotEmpty(message = "主题id不能为空")
    @ApiModelProperty(value = "主题Id")
    private String themeId;

    @NotEmpty(message = "page不能为空")
    @ApiModelProperty(value = "分页")
    private Pageable page;
}
